Last Comment Bug 702633 - Broken painting on google.ca
: Broken painting on google.ca
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Patrick Walton (:pcwalton)
:
Mentors:
Depends on:
Blocks: native_droid_panning
  Show dependency treegraph
 
Reported: 2011-11-15 07:55 PST by Johnathan Nightingale [:johnath]
Modified: 2012-01-09 14:56 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Broken google.ca rendering on top of about:home (42.10 KB, image/png)
2011-11-15 07:55 PST, Johnathan Nightingale [:johnath]
no flags Details

Description Johnathan Nightingale [:johnath] 2011-11-15 07:55:27 PST
Created attachment 574598 [details]
Broken google.ca rendering on top of about:home

On latest 11a1 nightly, see attachment for the behaviour of my browser when I try to navigate from about:home to google.ca

There might be multiple bugs here:

 - Most importantly, google.ca isn't painting properly (though you can see its input box painted over top of about:home content)
 - The content area is also less than the height of the screen, and in some cases it is also clipping the content -- I suspect there's already another bug on file for that piece (but if there isn't, let me know!)

I think this is a recent regression, I don't remember seeing it last week, after pcwalton's stuff originally landed.
Comment 1 Johnathan Nightingale [:johnath] 2011-11-15 07:57:29 PST
(Taken on a Gingerbread 2.3.4 Galaxy S2, on the off chance that it matters)
Comment 2 Johnathan Nightingale [:johnath] 2011-11-15 07:58:25 PST
I doubt the bug is google specific, but it isn't universal, either - navigating from about:home (or this busted state) to a longer page talking about making a proper Negroni is fine.
Comment 3 Johnathan Nightingale [:johnath] 2011-11-15 11:32:36 PST
(In reply to Johnathan Nightingale [:johnath] from comment #0)
>  - The content area is also less than the height of the screen, and in some
> cases it is also clipping the content -- I suspect there's already another
> bug on file for that piece (but if there isn't, let me know!)

This part is bug 700224
Comment 4 Armen Zambrano [:armenzg] - Engineering productivity 2011-11-18 12:43:00 PST
I've hit this as well. Any tips on how to take screen shots on Google Nexus S? I don't want to have to root it.
Comment 5 Armen Zambrano [:armenzg] - Engineering productivity 2011-11-18 12:44:18 PST
For the record here are the steps I gathered:
* Loading up google.com after "about:home" half draws google.com and I can half see the nightly start page
* re-loading the page does not fix the issue
* If I quit Fennec and I open it up google.com will be the first page to load up *but* it only drew the search textbox and called the keyboard to load-up
* searching for a term seems to do the search but I can only see the textbox with what I typed and another text box at the bottom of the page
Comment 6 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-11-18 14:00:17 PST
Armen, you can take screenshots using the Android SDK; you don't have to root the device.  The other way is to upgrade to ICS if that is an available option for you.

http://developer.android.com/sdk/index.html

The android sdk will install the ddms, in which you can select a device and then take a screenshot

http://downloadsquad.switched.com/2008/10/22/taking-screenshots-on-an-android-based-phone/
Comment 7 Patrick Walton (:pcwalton) 2011-12-07 19:10:13 PST
I believe this has been fixed for some time (union dirty rects problem). If seen again please reopen.
Comment 8 Aaron Train [:aaronmt] 2011-12-08 06:20:35 PST
Samsung Galaxy SII (Android 2.3.4)
20111208060054
http://hg.mozilla.org/integration/mozilla-inbound/rev/b0f8871174a5

Note You need to log in before you can comment on or make changes to this bug.